🚀 App Custom Domain is Live! See our changelog for details.
cURL
curl --request POST \ --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/logic \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \ --header 'content-type: application/json' \ --data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"condition"}'
{ "logic": { "config": { "conditions": {} }, "id": "<string>", "category": "logic", "type": "condition", "name": "<string>", "description": "<string>", "outputVariables": {}, "inputVariables": {}, "createdTime": "<string>", "lastModifiedTime": "<string>" }, "controls": [ { "config": { "sourceNodeId": "<string>" }, "id": "<string>", "category": "control", "type": "conditionEnd", "name": "<string>", "createdTime": "<string>", "lastModifiedTime": "<string>" } ] }
Create a automation workflow logic
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
witch node this the parent, if not provided, it is a root node
type of logic
condition
Repeat
name of the node
description of the node
node configuration
Successful created
Show child attributes
workflow control nodes, contains the logic branch and the end node
Was this page helpful?